﻿/**后备认定期间、后备干部记录**/
/**Begin D:\Soft\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_BAKCADREPERIOD')
CREATE TABLE T_SOECS_BAKCADREPERIOD (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FBOID BIGINT DEFAULT 0 NOT NULL,
                                        FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                        FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                        FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                        FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
                                        FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
                                        FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                        FBAKCADRE BIGINT DEFAULT 0 NOT NULL,
                                        FORG BIGINT DEFAULT 0 NOT NULL,
                                        FMANAGEORGID BIGINT DEFAULT 0 NOT NULL,
                                        FIDESSTARTDATE DATETIME,
                                        FIDEENDDATE DATETIME,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFYTIME DATETIME,
                                        FINITDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_BAKCADREPERIOD_L')
CREATE TABLE T_SOECS_BAKCADREPERIOD_L (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                          FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_REPORTINFO')
CREATE TABLE T_SOECS_REPORTINFO (
                                    FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                    FSEQ INT DEFAULT 0 NOT NULL,
                                    FIDENSUBJECT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FREPORTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FREPORTORG BIGINT DEFAULT 0 NOT NULL,
                                    FREPDATE DATETIME,
                                    FREPORTDESC NCLOB,
                                    FENTRYBOIDREPORT BIGINT DEFAULT 0 NOT NULL,
                                    FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_TRAININFO')
CREATE TABLE T_SOECS_TRAININFO (
                                   FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                   FSEQ INT DEFAULT 0 NOT NULL,
                                   FTRAINTARGET BIGINT DEFAULT 0 NOT NULL,
                                   FTRAINMEASURE BIGINT DEFAULT 0 NOT NULL,
                                   FTRAINRESULT VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FTRAINDESC VARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FENTRYBOIDTRAIN BIGINT DEFAULT 0 NOT NULL,
                                   FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_RECOMINFO')
CREATE TABLE T_SOECS_RECOMINFO (
                                   FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                   FSEQ INT DEFAULT 0 NOT NULL,
                                   FENTRYBOIDRECOM BIGINT DEFAULT 0 NOT NULL,
                                   FRECOMEVA NCLOB,
                                   FRECOMORGTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FRECOMORGTEXT VARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FRECOMDATE DATETIME,
                                   FRECOMER BIGINT DEFAULT 0 NOT NULL,
                                   FRECOMORG BIGINT DEFAULT 0 NOT NULL,
                                   FRECOMEROUT VARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_BACRECORD')
CREATE TABLE T_SOECS_BACRECORD (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FBOID BIGINT DEFAULT 0 NOT NULL,
                                   FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                   FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                   FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                   FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
                                   FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
                                   FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                   FBAKCADRE BIGINT DEFAULT 0 NOT NULL,
                                   FRECORDDATE DATETIME,
                                   FRECORDNOTE NCLOB,
                                   FRECORDTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FOPERATETIME DATETIME,
                                   FOPERATOR BIGINT DEFAULT 0 NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME,
                                   FINITDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_BACRECORD_L')
CREATE TABLE T_SOECS_BACRECORD_L (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                     FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_TRAINSTRATEGY')
CREATE TABLE T_SOECS_TRAINSTRATEGY (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFYTIME DATETIME,
                                       FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                       FINDEX INT DEFAULT 0 NOT NULL,
                                       FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                       FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                       FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_TRAINSTRATEGY_L')
CREATE TABLE T_SOECS_TRAINSTRATEGY_L (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\Soft\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECS_table.sql **/