﻿/**后备退出类型**/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_BCEXITTYPE')
CREATE TABLE T_SOECS_BCEXITTYPE (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                    FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                    FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FCREATETIME DATETIME,
                                    FMODIFYTIME DATETIME,
                                    FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                    FINDEX INT DEFAULT 0 NOT NULL,
                                    FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                    FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                    FDISABLEDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_BCEXITTYPE_L')
CREATE TABLE T_SOECS_BCEXITTYPE_L (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);
